Super PWA 無限提示 OneSignal 設置問題之解決方案

/ /

如果使用最新版本的 OneSignal 搭配 Super PWA v2.0.2 外掛,會出現一個關不掉的「Action Required to integrate SuperPWA with OneSignal」提示。
經查證後在當前版本的 OneSignal 中已不需要手動設置 manifest.json 模式,所以說這個提示沒用了。

如果想要在 Super PWA 版本修正前將這個提示關掉的話則必須修正原始碼,接下來進入本篇文章主題。

▼ SuperPWA 的無限提示

image

修正原始碼

修改任何原始碼前請記得先備份,出錯時才可以快速回復。

進入 WordPress 後台,開啟外掛編輯器並切換到 Super Progressive Web Apps

image 1

用右側選單來切換到 3rd-party/onesignal.php,刪除 247~256 行程式碼即完成修正 (如下圖)。

image 9

參考資料

發表留言

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.